Blocks
Read-only endpoints to obtain Stacks block details
Retrieves a list of recently mined blocks
Results per page
20Result offset
0Cursor for block pagination
^0x[a-fA-F0-9]{64}$Default Response
2001Next page cursor
Previous page cursor
Current page cursor
Default Response
GET /extended/v2/blocks/ HTTP/1.1
Host: api.hiro.so/
Accept: */*
{
"limit": 20,
"offset": 0,
"total": 1,
"next_cursor": "text",
"prev_cursor": "text",
"cursor": "text",
"results": [
{
"canonical": true,
"height": 1,
"hash": "text",
"block_time": 1,
"block_time_iso": "text",
"tenure_height": 1,
"index_block_hash": "text",
"parent_block_hash": "text",
"parent_index_block_hash": "text",
"burn_block_time": 1,
"burn_block_time_iso": "text",
"burn_block_hash": "text",
"burn_block_height": 1,
"miner_txid": "text",
"tx_count": 1,
"execution_cost_read_count": 1,
"execution_cost_read_length": 1,
"execution_cost_runtime": 1,
"execution_cost_write_count": 1,
"execution_cost_write_length": 1
}
]
}Retrieves average block times (in seconds)
Default Response
Average block times over the last hour (in seconds)
Average block times over the last 24 hours (in seconds)
Average block times over the last 7 days (in seconds)
Average block times over the last 30 days (in seconds)
Default Response
GET /extended/v2/blocks/average-times HTTP/1.1
Host: api.hiro.so/
Accept: */*
{
"last_1h": 1,
"last_24h": 1,
"last_7d": 1,
"last_30d": 1
}Retrieves the most recent block mined at or before a given Unix timestamp (in seconds)
Unix timestamp (in seconds)
1677731361Default Response
Set to true if block corresponds to the canonical chain tip
Height of the block
Hash representing the block
Unix timestamp (in seconds) indicating when this block was mined.
An ISO 8601 (YYYY-MM-DDTHH:mm:ss.sssZ) indicating when this block was mined.
The tenure height (AKA coinbase height) of this block
The only hash that can uniquely identify an anchored block or an unconfirmed state trie
Hash of the parent block
Index block hash of the parent block
Unix timestamp (in seconds) indicating when this block was mined.
An ISO 8601 (YYYY-MM-DDTHH:mm:ss.sssZ) indicating when this block was mined.
Hash of the anchor chain block
Height of the anchor chain block
Anchor chain transaction ID
Number of transactions included in the block
Execution cost read count.
Execution cost read length.
Execution cost runtime.
Execution cost write count.
Execution cost write length.
Default Response
GET /extended/v2/blocks/by-block-time/{timestamp} HTTP/1.1
Host: api.hiro.so/
Accept: */*
{
"canonical": true,
"height": 1,
"hash": "text",
"block_time": 1,
"block_time_iso": "text",
"tenure_height": 1,
"index_block_hash": "text",
"parent_block_hash": "text",
"parent_index_block_hash": "text",
"burn_block_time": 1,
"burn_block_time_iso": "text",
"burn_block_hash": "text",
"burn_block_height": 1,
"miner_txid": "text",
"tx_count": 1,
"execution_cost_read_count": 1,
"execution_cost_read_length": 1,
"execution_cost_runtime": 1,
"execution_cost_write_count": 1,
"execution_cost_write_length": 1
}Retrieves a single block
Block hash
daf79950c5e8bb0c620751333967cdd62297137cdaf79950c5e8bb0c62075133Pattern: ^(0x)?[a-fA-F0-9]{64}$Block height
777678Default Response
Set to true if block corresponds to the canonical chain tip
Height of the block
Hash representing the block
Unix timestamp (in seconds) indicating when this block was mined.
An ISO 8601 (YYYY-MM-DDTHH:mm:ss.sssZ) indicating when this block was mined.
The tenure height (AKA coinbase height) of this block
The only hash that can uniquely identify an anchored block or an unconfirmed state trie
Hash of the parent block
Index block hash of the parent block
Unix timestamp (in seconds) indicating when this block was mined.
An ISO 8601 (YYYY-MM-DDTHH:mm:ss.sssZ) indicating when this block was mined.
Hash of the anchor chain block
Height of the anchor chain block
Anchor chain transaction ID
Number of transactions included in the block
Execution cost read count.
Execution cost read length.
Execution cost runtime.
Execution cost write count.
Execution cost write length.
Default Response
GET /extended/v2/blocks/{height_or_hash} HTTP/1.1
Host: api.hiro.so/
Accept: */*
{
"canonical": true,
"height": 1,
"hash": "text",
"block_time": 1,
"block_time_iso": "text",
"tenure_height": 1,
"index_block_hash": "text",
"parent_block_hash": "text",
"parent_index_block_hash": "text",
"burn_block_time": 1,
"burn_block_time_iso": "text",
"burn_block_hash": "text",
"burn_block_height": 1,
"miner_txid": "text",
"tx_count": 1,
"execution_cost_read_count": 1,
"execution_cost_read_length": 1,
"execution_cost_runtime": 1,
"execution_cost_write_count": 1,
"execution_cost_write_length": 1
}Retrieves the signer signatures (an array of signature byte strings) in a single block
Block hash
daf79950c5e8bb0c620751333967cdd62297137cdaf79950c5e8bb0c62075133Pattern: ^(0x)?[a-fA-F0-9]{64}$Block height
777678Results per page
500Result offset
0Default Response
2001Array of hex strings representing the block's signer signature
Default Response
GET /extended/v2/blocks/{height_or_hash}/signer-signatures HTTP/1.1
Host: api.hiro.so/
Accept: */*
{
"limit": 20,
"offset": 0,
"total": 1,
"results": [
"text"
]
}Retrieves blocks confirmed in a block tenure
Block tenure height
165453Results per page
20Result offset
0Cursor for block pagination
^0x[a-fA-F0-9]{64}$Default Response
2001Next page cursor
Previous page cursor
Current page cursor
Default Response
GET /extended/v2/block-tenures/{tenure_height}/blocks HTTP/1.1
Host: api.hiro.so/
Accept: */*
{
"limit": 20,
"offset": 0,
"total": 1,
"next_cursor": "text",
"prev_cursor": "text",
"cursor": "text",
"results": [
{
"canonical": true,
"height": 1,
"hash": "text",
"block_time": 1,
"block_time_iso": "text",
"tenure_height": 1,
"index_block_hash": "text",
"parent_block_hash": "text",
"parent_index_block_hash": "text",
"burn_block_time": 1,
"burn_block_time_iso": "text",
"burn_block_hash": "text",
"burn_block_height": 1,
"miner_txid": "text",
"tx_count": 1,
"execution_cost_read_count": 1,
"execution_cost_read_length": 1,
"execution_cost_runtime": 1,
"execution_cost_write_count": 1,
"execution_cost_write_length": 1
}
]
}Last updated
Was this helpful?